function eis2cal, dateStr, form=form, errmsg=errmsg

    on_error, 2   ;  Return to the caller of this procedure if error occurs.

    mon = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']

    yy   = strmid(dateStr, 2, 2)
    mm   = strmid(dateStr, 4, 2)
    dd   = strmid(dateStr, 6, 2)
    hh   = strmid(dateStr, 8, 2)
    mi   = strmid(dateStr, 10, 2)
    ss   = strmid(dateStr, 12, 2)

    m = uint(mm)

    month = mon[m-1]
    return, dd + '-' + month + '-' + yy + ' ' + hh + ':' + mi + ':' + ss

end
